VARKON Version 1.15 1997-10-24

> ## gettyp - Function

> Get part parameter type from GM
> Description
> Returns the type of a specific part parameter.
> Syntax
> gettyp(part_id, parnum)

> REF | part_id;
> INT | parnum;

> Principal parameters

> part_id | - Global identity of a part
> parnum | - Parameter number, first parameter = 1

> Optional parameters

> None. |

> Return value
> An INT value representing the type of parameter as follows:
> 1 = INT parameter
> 2 = FLOAT parameter
> 3 = STRING parameter
> 4 = VECTOR parameter
> 5 = REF parameter
> 6 = Unknown type

VARKON Homepage | Index